Last Reported Widget
This widget shows the timestamp of the last time Blynk received the data from the device.

Settings
Datastream (optional) - choose the Datastream if you plan to use setProperty API.
Show icon - To show/hide the “Clock” icon on the left.
Show label - To show/hide the “Last reported” text.
Properties you can change
You can hide/show header widgets from device. Use isHidden property API:
Where:
vPin is: virtual pin number the widget is assigned to
isHidden: property that controls the widget visibility
propertyValue: value of the property you want to change. true and false values are supported.
Example:
Change widget properties via HTTPs API
GET https://{server_address}/external/api/update/property?token={your 32 char token}&pin={your vPin}&{property}={value}
The endpoint allows you to update the Datastream Property value via GET request. All widgets (both web and mobile) that are assigned to this datastream will inherit this property. The Datastream Property is persistent and will be stored forever until you change it with another value. In order to clear the property you need to clear the device data in device actions menu.
Example:
https://blynk.cloud/external/api/update/property?token=GVki9IC70vb3IqvsV0YD3el4y0OpneL1&pin=V1&isHidden=true
Path Parameters
Query Parameters
pin*
string
The datastream virtual pin (should start with "v")
{property}
string
The property of the widget you want to update: isHidden
isHidden
string
true or false
Last updated
Was this helpful?

